Subject: Re: bug#31628: 26.1; Problem in read-multiple-choice's docstring

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 28 May 2018 19:07:25 +0100

Damien Cassou <[email-masked]> writes:

> Previous docstring, said CHOICES was an alist which it isn't.

Technically, a list of (A B C) is as much an alist as a list of (A . B),
but I agree that the docstring can be clarified a bit.

> From 255c09ac20c940140e20d199b1f715fc98264da5 Mon Sep 17 00:00:00 2001
> From: Damien Cassou <[email-masked]>
> Date: Mon, 28 May 2018 17:12:34 +0200
> Subject: [PATCH] * lisp/emacs-lisp/rmc.el (read-multiple-choice): Improve
>  docstring.
>
> ---
>  lisp/emacs-lisp/rmc.el | 11 +++++------
>  1 file changed, 5 insertions(+), 6 deletions(-)
>
> diff --git a/lisp/emacs-lisp/rmc.el b/lisp/emacs-lisp/rmc.el
> index 3dd3508903..9813dcf2e5 100644
> --- a/lisp/emacs-lisp/rmc.el
> +++ b/lisp/emacs-lisp/rmc.el
> @@ -30,12 +30,11 @@ read-multiple-choice
>    "Ask user a multiple choice question.
>  PROMPT should be a string that will be displayed as the prompt.
>  
> -CHOICES is an alist where the first element in each entry is a
> -character to be entered, the second element is a short name for
> -the entry to be displayed while prompting (if there's room, it
> -might be shortened), and the third, optional entry is a longer
> -explanation that will be displayed in a help buffer if the user
> -requests more help.
> +CHOICES is a list of (KEY NAME [DESCRIPTION]). KEY is a character
> +to be entered. NAME a short name for the entry to be displayed
> +while prompting (if there's room, it might be shortened).
> +DESCRIPTION is an optional longer explanation that will be
> +displayed in a help buffer if the user requests more help.

I think the full stops should be followed by two spaces, as per the
default sentence-end-double-space.

-- 
Basil